Subject: Re: [PATCH net-next v2 10/11] idpf: add Tx timestamp flows

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Apr 2025 17:37:18 -0700

On Fri, 25 Apr 2025 14:52:24 -0700 Tony Nguyen wrote:
> @@ -479,6 +480,9 @@ static const struct idpf_stats idpf_gstrings_port_stats[] = {
>  	IDPF_PORT_STAT("tx-unicast_pkts", port_stats.vport_stats.tx_unicast),
>  	IDPF_PORT_STAT("tx-multicast_pkts", port_stats.vport_stats.tx_multicast),
>  	IDPF_PORT_STAT("tx-broadcast_pkts", port_stats.vport_stats.tx_broadcast),
> +	IDPF_PORT_STAT("tx-hwtstamp_skipped", port_stats.tx_hwtstamp_skipped),
> +	IDPF_PORT_STAT("tx-hwtstamp_flushed", tstamp_stats.tx_hwtstamp_flushed),
> +	IDPF_PORT_STAT("tx-hwtstamp_discarded", tstamp_stats.tx_hwtstamp_discarded),
>  };

I don't see the implementation of the standard stats via get_ts_stats
You must implement standard stats before exposing custom breakdown.